Skip to navigation

Update tabs for recipient

View as Markdown

Updates one or more tabs for a recipient in a draft envelope. Note: The Update method can be used if the envelope is not yet complete. To update an existing tab, the request body must include the tabId.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

envelopeIdstringRequired

The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

recipientIdstringRequired

A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1.

Request

This endpoint expects an object: EnvelopeRecipientTabs

approveTabslist of objectsOptional

A list of Approve tabs.

This tab allows the recipient to approve documents without placing a signature or initials on the document. If the recipient clicks the tab during the signing process, the recipient is considered to have signed the document. No information is shown on the document of the approval, but it is recorded as a signature in the envelope history.

checkboxTabslist of objectsOptional

A list of Checkbox tabs.

This tab allows the recipient to select a yes/no (on/off) option.

companyTabslist of objectsOptional

A list of Company tabs.

This tab displays the recipient’s company name.

dateSignedTabslist of objectsOptional

A list of Date Signed tabs

This tab displays the date that the recipient signed the document.

dateTabslist of objectsOptional

A list of Date tabs.

This tab allows the recipient to enter a date. Date tabs are one-line fields that allow date information to be entered in any format. The tooltip for this tab recommends entering the date as MM/DD/YYYY, but this is not enforced. The format entered by the signer is retained. If you need a particular date format enforced, DocuSign recommends using a Text tab with a validation pattern and a validation message to enforce the format.

declineTabslist of objectsOptional

A list of Decline tabs.

This tab allows the recipient the option of declining an envelope. If the recipient clicks the tab during the signing process, the envelope is voided.

emailAddressTabslist of objectsOptional

A list of Email Address tabs.

This tab displays the recipient’s email as entered in the recipient information.

emailTabslist of objectsOptional

A list of Email tabs.

This tab allows the recipient to enter an email address. This is a one-line field that checks that a valid email address is entered. It uses the same parameters as a Text tab, with the validation message and pattern set for email information.

When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response.

envelopeIdTabslist of objectsOptional

A list of Envelope ID tabs.

This tab displays the envelope ID. Recipients cannot enter or change the information in this tab.

firstNameTabslist of objectsOptional

A list of First Name tabs.

This tab displays the recipient’s first name. It takes the recipient’s name as entered in the recipient information, splits it into sections based on spaces and uses the first section as the first name.

formulaTabslist of objectsOptional

A list of Formula tabs.

The value of a formula tab is calculated from the values of other number or date tabs in the document. When the recipient completes the underlying fields, the formula tab calculates and displays the result.

The formula property of the tab contains the references to the underlying tabs. See Calculated Fields in the DocuSign Support Center to learn more about formulas.

If a formula tab contains a paymentDetails property, the tab is considered a payment item. See Requesting Payments Along with Signatures in the DocuSign Support Center to learn more about payments.

fullNameTabslist of objectsOptional

A list of Full Name tabs.

This tab displays the recipient’s full name.

initialHereTabslist of objectsOptional

A list of Initial Here tabs.

This tab allows the recipient to initial the document. May be optional.

lastNameTabslist of objectsOptional

A list of Last Name tabs.

This tab displays the recipient’s last name. It takes the recipient’s name as entered in the recipient information, splits it into sections based on spaces and uses the last section as the last name.

listTabslist of objectsOptional

A list of list tabs.

This tab offers a list of options to choose from. The listItems property is used to specify the selectable options.

notarizeTabslist of objectsOptional

A list of Notarize tabs.

A notarize tab is a tab that alerts notary recipients that they must take action on the page. Only one notarize tab can appear on a page.

noteTabslist of objectsOptional

A list of Note tabs.

This tab displays additional information, in the form of a note, for the recipient.

numberTabslist of objectsOptional

A list of Number tabs.

This tab allows the recipient to enter numbers and decimal (.) points.

radioGroupTabslist of objectsOptional

A list of Radio Group tabs.

This tab This group tab is used to place radio buttons on a document. The radios property is used to add and place the radio buttons associated with the group. Only one radio button can be selected in a group.

signerAttachmentTabslist of objectsOptional

A list of Signer Attachment tabs.

This tab allows the recipient to attach supporting documents to an envelope.

signHereTabslist of objectsOptional

A list of Sign Here tabs.

This tab allows the recipient to sign a document. May be optional.

smartSectionTabslist of objectsOptional
ssnTabslist of objectsOptional

A list of SSN tabs.

This tab is a one-line field that allows the recipient to enter a Social Security Number. The SSN can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for SSN information.

textTabslist of objectsOptional

A list of Text tabs.

This tab A tab that allows the recipient to enter any type of text.

titleTabslist of objectsOptional

A list of Title tabs.

This tab displays the recipient’s title.

viewTabslist of objectsOptional

A list of View tabs.

This tab This tab is used with the Approve tab to handle supplemental documents.

zipTabslist of objectsOptional

A list of Zip tabs.

This tab allows the recipient to enter a ZIP code. The ZIP code can be five digits or nine digits in the ZIP+4 format. The zip code can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for ZIP code information.

Response

Successful response.
approveTabslist of objectsOptional

A list of Approve tabs.

This tab allows the recipient to approve documents without placing a signature or initials on the document. If the recipient clicks the tab during the signing process, the recipient is considered to have signed the document. No information is shown on the document of the approval, but it is recorded as a signature in the envelope history.

checkboxTabslist of objectsOptional

A list of Checkbox tabs.

This tab allows the recipient to select a yes/no (on/off) option.

companyTabslist of objectsOptional

A list of Company tabs.

This tab displays the recipient’s company name.

dateSignedTabslist of objectsOptional

A list of Date Signed tabs

This tab displays the date that the recipient signed the document.

dateTabslist of objectsOptional

A list of Date tabs.

This tab allows the recipient to enter a date. Date tabs are one-line fields that allow date information to be entered in any format. The tooltip for this tab recommends entering the date as MM/DD/YYYY, but this is not enforced. The format entered by the signer is retained. If you need a particular date format enforced, DocuSign recommends using a Text tab with a validation pattern and a validation message to enforce the format.

declineTabslist of objectsOptional

A list of Decline tabs.

This tab allows the recipient the option of declining an envelope. If the recipient clicks the tab during the signing process, the envelope is voided.

emailAddressTabslist of objectsOptional

A list of Email Address tabs.

This tab displays the recipient’s email as entered in the recipient information.

emailTabslist of objectsOptional

A list of Email tabs.

This tab allows the recipient to enter an email address. This is a one-line field that checks that a valid email address is entered. It uses the same parameters as a Text tab, with the validation message and pattern set for email information.

When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response.

envelopeIdTabslist of objectsOptional

A list of Envelope ID tabs.

This tab displays the envelope ID. Recipients cannot enter or change the information in this tab.

firstNameTabslist of objectsOptional

A list of First Name tabs.

This tab displays the recipient’s first name. It takes the recipient’s name as entered in the recipient information, splits it into sections based on spaces and uses the first section as the first name.

formulaTabslist of objectsOptional

A list of Formula tabs.

The value of a formula tab is calculated from the values of other number or date tabs in the document. When the recipient completes the underlying fields, the formula tab calculates and displays the result.

The formula property of the tab contains the references to the underlying tabs. See Calculated Fields in the DocuSign Support Center to learn more about formulas.

If a formula tab contains a paymentDetails property, the tab is considered a payment item. See Requesting Payments Along with Signatures in the DocuSign Support Center to learn more about payments.

fullNameTabslist of objectsOptional

A list of Full Name tabs.

This tab displays the recipient’s full name.

initialHereTabslist of objectsOptional

A list of Initial Here tabs.

This tab allows the recipient to initial the document. May be optional.

lastNameTabslist of objectsOptional

A list of Last Name tabs.

This tab displays the recipient’s last name. It takes the recipient’s name as entered in the recipient information, splits it into sections based on spaces and uses the last section as the last name.

listTabslist of objectsOptional

A list of list tabs.

This tab offers a list of options to choose from. The listItems property is used to specify the selectable options.

notarizeTabslist of objectsOptional

A list of Notarize tabs.

A notarize tab is a tab that alerts notary recipients that they must take action on the page. Only one notarize tab can appear on a page.

noteTabslist of objectsOptional

A list of Note tabs.

This tab displays additional information, in the form of a note, for the recipient.

numberTabslist of objectsOptional

A list of Number tabs.

This tab allows the recipient to enter numbers and decimal (.) points.

radioGroupTabslist of objectsOptional

A list of Radio Group tabs.

This tab This group tab is used to place radio buttons on a document. The radios property is used to add and place the radio buttons associated with the group. Only one radio button can be selected in a group.

signerAttachmentTabslist of objectsOptional

A list of Signer Attachment tabs.

This tab allows the recipient to attach supporting documents to an envelope.

signHereTabslist of objectsOptional

A list of Sign Here tabs.

This tab allows the recipient to sign a document. May be optional.

smartSectionTabslist of objectsOptional
ssnTabslist of objectsOptional

A list of SSN tabs.

This tab is a one-line field that allows the recipient to enter a Social Security Number. The SSN can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for SSN information.

textTabslist of objectsOptional

A list of Text tabs.

This tab A tab that allows the recipient to enter any type of text.

titleTabslist of objectsOptional

A list of Title tabs.

This tab displays the recipient’s title.

viewTabslist of objectsOptional

A list of View tabs.

This tab This tab is used with the Approve tab to handle supplemental documents.

zipTabslist of objectsOptional

A list of Zip tabs.

This tab allows the recipient to enter a ZIP code. The ZIP code can be five digits or nine digits in the ZIP+4 format. The zip code can be typed with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for ZIP code information.

Errors

400
Bad Request Error